﻿using System;
using System.Collections.Generic;
using IBatisNet.DataMapper;
using IBatisNet.Common;
using Model;
using IBatisNet.DataMapper.Configuration;

namespace Dao
{
	public class ClassDao
	{
        public IList<ClassModel> GetList()
        {
            ISqlMapper mapper = Mapper.Instance();
            IList<ClassModel> listResult = mapper.QueryForList<ClassModel>("SelectAllResult", null);
            return listResult;
        }
        
        public void AddList(DateTime dt,double first,double second)
        {
        	ClassModel model=new ClassModel();
        	model.DT=dt;
        	model.First=first;
        	model.Second=second;
            Getmapper().Insert("InsertResult", model);
        }

        public bool UpdateList(int id,double first)
        {
            ClassModel model = new ClassModel();
            model.Id = id;
            model.First = first;
            return Getmapper().Update("UpdateResult", model) > 0 ? true : false;
        }

        public bool DeleteList(int id)
        {
            ClassModel model = new ClassModel();
            model.Id = id;
            return Getmapper().Delete("DeleteResult", model) > 0 ? true : false;

        }
        
        public ISqlMapper Getmapper()
        {
        	DomSqlMapBuilder builder=new DomSqlMapBuilder();
            ISqlMapper map = builder.Configure("SqlMap.config");
            return map;        	
        }

    }

    
}